package com.ynet.life.base;

import com.ynet.life.exception.TranFailException;
import com.ynet.life.util.PropertiesFile;
import java.util.Map;
import java.util.Properties;

/* loaded from: com_ynet_life_base.jar:com/ynet/life/base/LifePlatManager.class */
public class LifePlatManager {
    public static Map BANK_DBSOURCE_MAP;
    public static Map BANK_GATEWAY_MAP;

    public static Map initBankDBSource() {
        Properties properties = PropertiesFile.getProperties(TEntity.databasePath);
        BANK_DBSOURCE_MAP = properties;
        return properties;
    }

    public static Map initBankGateway() {
        Properties properties = PropertiesFile.getProperties(TEntity.gateWayPath);
        BANK_GATEWAY_MAP = properties;
        return properties;
    }

    public static String getBankDBSource(String bankId) throws TranFailException {
        String str = (String) BANK_DBSOURCE_MAP.get(bankId);
        String dataSourceName = str;
        if (str == null || "".equals(dataSourceName)) {
            String resource = PropertiesFile.getResource(TEntity.databasePath, bankId);
            dataSourceName = resource;
            if (resource == null || "".equals(dataSourceName)) {
                Trace.logWarning(Trace.COMPONENT_CORE, "数据源配置文件[" + TEntity.databasePath + "]配置有误");
                throw new TranFailException("ELB0000", "数据源配置文件:::机构号[" + bankId + "]未找到对应的数据源配置");
            }
        }
        return dataSourceName;
    }

    public static String getBankGateway(String bankId) throws TranFailException {
        String str = (String) BANK_GATEWAY_MAP.get(bankId);
        String gatewayName = str;
        if (str == null || "".equals(gatewayName)) {
            String resource = PropertiesFile.getResource(TEntity.gateWayPath, bankId);
            gatewayName = resource;
            if (resource == null || "".equals(gatewayName)) {
                Trace.logWarning(Trace.COMPONENT_CORE, "平台网关配置文件[" + TEntity.gateWayPath + "]配置有误");
                throw new TranFailException("ELB0000", "平台网关配置文件:::机构号[" + bankId + "]未找到对应的平台网关配置");
            }
        }
        return gatewayName;
    }
}
